## python-edgegrid 1.1.2

=== requirements.txt ===
requests>=2.3.0
pyopenssl
ndg-httpsclient
pyasn1
urllib3

## python-edgegrid 1.1.1

=== debian/changelog ===
python-edgegrid (1.1.1-0ubuntu1) focal; urgency=low

  * Initial release.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 18 Feb 2020 15:34:53 -0500

=== debian/control ===
Source: python-edgegrid
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Corey Bryant <corey.bryant@canonical.com>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-ndg-httpsclient,
 python3-openssl,
 python3-pyasn1,
 python3-requests (>= 2.3.0),
 python3-urllib3,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-edgegrid
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-edgegrid
Homepage: https://github.com/akamai/AkamaiOPEN-edgegrid-python.git

Package: python3-edgegrid
Architecture: all
Depends:
 python3-ndg-httpsclient,
 python3-openssl,
 python3-pyasn1,
 python3-requests (>= 2.3.0),
 python3-urllib3,
 ${misc:Depends},
 ${python3:Depends},
Description: Authentication handler for Akamai OPEN EdgeGrid Authentication scheme - Python 3
 An OPEN EdgeGrid API Client is the conduit between your application and the Akamai
 Intelligent Platform.
 .
 This library implements an Authentication handler for requests that provides the
 Akamai {OPEN} Edgegrid Authentication scheme.
 .
 This package contains the Python 3 module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=edgegrid

PYTHON3S:=$(shell py3versions -vr)

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; for pyvers in $(PYTHON3S); do \
		PYTHONPATH=. PYTHON=python$$pyvers python$$pyvers -m unittest discover -v; \
	done
endif

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/edgegrid-python/edgegrid-python-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-edgegrid 1.1.2

=== debian/changelog ===
python-edgegrid (1.1.2-2) unstable; urgency=medium

  * Re-upload source-only.
  * Removed Jonathan Landis from d/copyright as per FTP-master suggestion.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 May 2020 21:04:39 +0200

python-edgegrid (1.1.2-1) unstable; urgency=medium

  * Initial release. (Closes: #958570)

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Apr 2020 21:27:19 +0200

=== debian/control ===
Source: python-edgegrid
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 libssl-dev,
 libffi-dev,
 openstack-pkg-tools (>= 109~),
 python3-all,
 python3-all-dev,
 python3-setuptools,
Build-Depends-Indep:
 python3-requests,
 python3-openssl,
 python3-openssl,
 python3-ndg-httpsclient,
 python3-pyasn1,
 python3-urllib3,
 python3-cffi,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-edgegrid-python
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-edgegrid-python.git
Homepage: https://github.com/akamai-open/AkamaiOPEN-edgegrid-python

Package: python3-edgegrid
Architecture: all
Depends:
 python3-requests,
 python3-openssl,
 python3-openssl,
 python3-ndg-httpsclient,
 python3-pyasn1,
 python3-urllib3,
 python3-cffi,
 ${misc:Depends},
 ${python3:Depends},
Description: OPEN client authentication protocol for python-requests - Python 3.x
 This library implements an Authentication handler for requests that provides
 the Akamai open Edgegrid Authentication scheme. For more information visit the
 Akamai open Developer Community.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/akamai/AkamaiOPEN-edgegrid-python.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	rm -rf build .stestr
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp


ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "No tests for now..."
#	set -e ; for pyvers in $(PYTHON3S); do \
#		python$$pyvers setup.py test ; \
#	done
endif


override_dh_auto_test:
	echo "Do nothing..."

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/edgegrid-python/edgegrid-python-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-edgegrid 1.3.1

=== requirements.txt ===
requests>=2.3.0
requests_toolbelt>=0.9.0
pyopenssl>=19.0.0
ndg-httpsclient
pyasn1
urllib3

=== debian/changelog ===
python-edgegrid (1.3.1-4) unstable; urgency=medium

  * d/watch: use mode=git and github tag. (Closes: #1090747).

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Dec 2024 09:51:10 +0100

python-edgegrid (1.3.1-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090494).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 11:03:06 +0100

python-edgegrid (1.3.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 21:32:46 +0200

python-edgegrid (1.3.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (b-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Aug 2023 14:07:53 +0200

python-edgegrid (1.1.2-3) unstable; urgency=medium

  * Fixed VCS URLs.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Aug 2023 15:26:36 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  dh-python,
  libssl-dev,
  libffi-dev,
- openstack-pkg-tools (>= 109~),
+ openstack-pkg-tools,
  python3-all,
  python3-all-dev,
  python3-setuptools,
@@ -19,11 +19,12 @@
  python3-openssl,
  python3-ndg-httpsclient,
  python3-pyasn1,
+ python3-requests-toolbelt,
  python3-urllib3,
  python3-cffi,
 Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-edgegrid-python
-Vcs-Git: https://salsa.debian.org/openstack-team/python/python-edgegrid-python.git
+Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-edgegrid
+Vcs-Git: https://salsa.debian.org/openstack-team/python/python-edgegrid.git
 Homepage: https://github.com/akamai-open/AkamaiOPEN-edgegrid-python
 
 Package: python3-edgegrid
@@ -34,6 +35,7 @@
  python3-openssl,
  python3-ndg-httpsclient,
  python3-pyasn1,
+ python3-requests-toolbelt,
  python3-urllib3,
  python3-cffi,
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,10 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
-	rm -rf build .stestr
+	rm -rf build .stestr *.egg-info
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/akamai/AkamaiOPEN-edgegrid-python refs/tags/v(\d[brc\d\.]+)
